Account
Get Account
Retrieve the details and settings of your Recurso account.
GET
/
v1
/
account
Get the tenant account
curl --request GET \
--url https://billing.example.com/v1/account \
--header 'Authorization: Bearer <token>'import requests
url = "https://billing.example.com/v1/account"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://billing.example.com/v1/account', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"email": "jsmith@example.com",
"data_region": "<string>",
"base_currency": "<string>",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "BAD_REQUEST",
"message": "<string>"
}
}Query Parameters
This endpoint does not accept any query parameters.Example Request
curl -X GET "https://api.recurso.io/v1/account" \
-H "Authorization: Bearer rsk_live_9f8a7b6c5d4e3f2a1b0c" \
-H "Content-Type: application/json"
Response
{
"id": "acct_1aXm4nBo7pQr",
"object": "account",
"name": "Acme Corp",
"email": "billing@acmecorp.com",
"plan": "growth",
"settings": {
"timezone": "America/New_York",
"default_currency": "usd",
"webhook_url": "https://api.acmecorp.com/webhooks/recurso",
"invoice_prefix": "INV",
"auto_collection": true,
"dunning_enabled": true,
"tax_inclusive_pricing": false
},
"usage": {
"active_subscriptions": 4821,
"monthly_revenue": 287450.00,
"currency": "usd"
},
"created_at": "2025-08-12T10:00:00Z",
"updated_at": "2026-06-20T16:45:00Z"
}
Plan Values
| Plan | Description |
|---|---|
starter | Up to 500 active subscriptions |
growth | Up to 10,000 active subscriptions |
scale | Up to 100,000 active subscriptions |
enterprise | Unlimited subscriptions, dedicated support |
⌘I
Get the tenant account
